<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionLoadMagazineQuick Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d0b/class_action_load_magazine_quick.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionLoadMagazineQuick Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionLoadMagazineQuick:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d0b/class_action_load_magazine_quick.png" usemap="#ActionLoadMagazineQuick_map" alt=""/>
  <map id="ActionLoadMagazineQuick_map" name="ActionLoadMagazineQuick_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,164,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab2797cca2cf166e0283041edfe1b60cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#ab2797cca2cf166e0283041edfe1b60cb">ActionLoadMagazineQuick</a> ()</td></tr>
<tr class="separator:ab2797cca2cf166e0283041edfe1b60cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2458649cfbad46c358adb235b5a7ee89"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#a2458649cfbad46c358adb235b5a7ee89">HasProneException</a> ()</td></tr>
<tr class="separator:a2458649cfbad46c358adb235b5a7ee89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ffce64c26354c58e5c21f5f1dfb35c"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#a66ffce64c26354c58e5c21f5f1dfb35c">GetInputType</a> ()</td></tr>
<tr class="separator:a66ffce64c26354c58e5c21f5f1dfb35c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1828b3d6989ebdfbb60742bb6e1b69ea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#a1828b3d6989ebdfbb60742bb6e1b69ea">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a1828b3d6989ebdfbb60742bb6e1b69ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3915c89136e154166c1b56214c72f7f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#ad3915c89136e154166c1b56214c72f7f">HasTarget</a> ()</td></tr>
<tr class="separator:ad3915c89136e154166c1b56214c72f7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0db09480be8ae1b020db2e8dfff4f3f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#aa0db09480be8ae1b020db2e8dfff4f3f">CanLoadMagazine</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa0db09480be8ae1b020db2e8dfff4f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33d27c713aefcfa71229034a0f0f1b59"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#a33d27c713aefcfa71229034a0f0f1b59">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a33d27c713aefcfa71229034a0f0f1b59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554d78bac0baa01a8e7708756c68f21"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#a8554d78bac0baa01a8e7708756c68f21">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a8554d78bac0baa01a8e7708756c68f21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6fd06b9430f4c0cc8476629d87e724"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html#aca6fd06b9430f4c0cc8476629d87e724">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aca6fd06b9430f4c0cc8476629d87e724"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00090">90</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab2797cca2cf166e0283041edfe1b60cb" name="ab2797cca2cf166e0283041edfe1b60cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2797cca2cf166e0283041edfe1b60cb">&#9670;&#160;</a></span>ActionLoadMagazineQuick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionLoadMagazineQuick::ActionLoadMagazineQuick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00092">92</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8554d78bac0baa01a8e7708756c68f21" name="a8554d78bac0baa01a8e7708756c68f21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8554d78bac0baa01a8e7708756c68f21">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLoadMagazineQuick::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00132">132</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="a33d27c713aefcfa71229034a0f0f1b59" name="a33d27c713aefcfa71229034a0f0f1b59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33d27c713aefcfa71229034a0f0f1b59">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLoadMagazineQuick::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00127">127</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="aa0db09480be8ae1b020db2e8dfff4f3f" name="aa0db09480be8ae1b020db2e8dfff4f3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0db09480be8ae1b020db2e8dfff4f3f">&#9670;&#160;</a></span>CanLoadMagazine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLoadMagazineQuick::CanLoadMagazine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00120">120</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="a1828b3d6989ebdfbb60742bb6e1b69ea" name="a1828b3d6989ebdfbb60742bb6e1b69ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1828b3d6989ebdfbb60742bb6e1b69ea">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionLoadMagazineQuick::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00109">109</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="a66ffce64c26354c58e5c21f5f1dfb35c" name="a66ffce64c26354c58e5c21f5f1dfb35c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66ffce64c26354c58e5c21f5f1dfb35c">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionLoadMagazineQuick::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00104">104</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="a2458649cfbad46c358adb235b5a7ee89" name="a2458649cfbad46c358adb235b5a7ee89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2458649cfbad46c358adb235b5a7ee89">&#9670;&#160;</a></span>HasProneException()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLoadMagazineQuick::HasProneException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00099">99</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="ad3915c89136e154166c1b56214c72f7f" name="ad3915c89136e154166c1b56214c72f7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3915c89136e154166c1b56214c72f7f">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionLoadMagazineQuick::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00115">115</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<a id="aca6fd06b9430f4c0cc8476629d87e724" name="aca6fd06b9430f4c0cc8476629d87e724"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca6fd06b9430f4c0cc8476629d87e724">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionLoadMagazineQuick::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html#l00137">137</a> of file <a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../dc/dc4/_action_load_magazine_8c_source.html">ActionLoadMagazine.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d0b/class_action_load_magazine_quick.html">ActionLoadMagazineQuick</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
